Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class OWLSystemFrames

    java.lang.Object
      edu.stanford.smi.protege.model.SystemFrames
          edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames

Direct Known Subclasses:
  SWRLSystemFrames

    public abstract class OWLSystemFrames

extends edu.stanford.smi.protege.model.SystemFrames

Nested Class Summary
`protected class` | `OWLSystemFrames.OWLSystemFramesAssertions`
`class` | `OWLSystemFrames.SystemFramesAsserter`

Field Summary
`protected OWLModel` | `owlModel`

Constructor Summary
`OWLSystemFrames(OWLModel owlModel)`

Method Summary
`void` | `addSystemFrames(edu.stanford.smi.protege.model.framestore.FrameStore fs)`
`protected OWLDatatypeProperty` | `createOWLDatatypeProperty(String name)`
`protected OWLNamedClass` | `createOWLNamedClass(String name)`
`protected OWLObjectProperty` | `createOWLObjectProperty(String name)`
`protected RDFProperty` | `createRDFProperty(String name)`
`protected RDFSDatatype` | `createRDFSDatatype(String name)`
`protected RDFSNamedClass` | `createRDFSNamedClass(String name)`
`OWLNamedClass` | `getAnonymousClassMetaCls()`
`RDFSNamedClass` | `getAnonymousRootCls()`
`OWLObjectProperty` | `getConstraintsSlot()`
`OWLNamedClass` | `getDirectedBinaryRelationCls()`
`RDFProperty` | `getDirectSuperslotsSlot()`
`Set<RDFSDatatype>` | `getFloatDatatypes()`
`OWLObjectProperty` | `getFromSlot()`
`Set<RDFSDatatype>` | `getIntegerDatatypes()`
`RDFProperty` | `getInverseSlotSlot()`
`RDFSNamedClass` | `getOwlAllDifferentClass()`
`RDFSNamedClass` | `getOwlAllValuesFromClass()`
`RDFProperty` | `getOwlAllValuesFromProperty()`
`OWLNamedClass` | `getOwlAnnotationPropertyClass()`
`RDFProperty` | `getOwlBackwardCompatibleWithProperty()`
`RDFSNamedClass` | `getOwlCardinalityClass()`
`RDFProperty` | `getOwlCardinalityProperty()`
`RDFSNamedClass` | `getOwlClassMetaCls()`
`RDFSNamedClass` | `getOwlComplementClassClass()`
`RDFProperty` | `getOwlComplementOfProperty()`
`RDFSNamedClass` | `getOwlDataRangeClass()`
`OWLNamedClass` | `getOwlDatatypePropertyClass()`
`RDFSNamedClass` | `getOwlDeprecatedClassClass()`
`RDFSNamedClass` | `getOwlDeprecatedPropertyClass()`
`RDFProperty` | `getOwlDifferentFromProperty()`
`RDFProperty` | `getOwlDisjointWithProperty()`
`RDFProperty` | `getOwlDistinctMembersProperty()`
`RDFSNamedClass` | `getOwlEnumeratedClassClass()`
`RDFProperty` | `getOwlEquivalentClassProperty()`
`RDFProperty` | `getOwlEquivalentPropertyProperty()`
`OWLNamedClass` | `getOwlFunctionalPropertyClass()`
`RDFSNamedClass` | `getOwlHasValueClass()`
`RDFProperty` | `getOwlHasValueProperty()`
`RDFProperty` | `getOwlImportsProperty()`
`RDFProperty` | `getOwlIncompatibleWithProperty()`
`RDFSNamedClass` | `getOwlIntersectionClassClass()`
`RDFProperty` | `getOwlIntersectionOfProperty()`
`OWLNamedClass` | `getOwlInverseFunctionalPropertyClass()`
`RDFProperty` | `getOwlInverseOfProperty()`
`RDFSNamedClass` | `getOwlLogicalClassClass()`
`RDFSNamedClass` | `getOwlMaxCardinalityClass()`
`RDFProperty` | `getOwlMaxCardinalityProperty()`
`RDFSNamedClass` | `getOwlMinCardinalityClass()`
`RDFProperty` | `getOwlMinCardinalityProperty()`
`OWLNamedClass` | `getOwlNamedClassClass()`
`OWLNamedClass` | `getOwlNothingClass()`
`OWLNamedClass` | `getOwlObjectPropertyClass()`
`RDFProperty` | `getOwlOneOfProperty()`
`RDFProperty` | `getOwlOnPropertyProperty()`
`OWLNamedClass` | `getOwlOntologyClass()`
`RDFSNamedClass` | `getOwlOntologyPointerClass()`
`RDFProperty` | `getOwlOntologyPointerProperty()`
`RDFProperty` | `getOwlOntologyPrefixesProperty()`
`RDFProperty` | `getOwlPriorVersionProperty()`
`RDFProperty` | `getOwlResourceURIProperty()`
`RDFSNamedClass` | `getOwlRestrictionClass()`
`RDFProperty` | `getOwlSameAsProperty()`
`RDFSNamedClass` | `getOwlSomeValuesFromClass()`
`RDFProperty` | `getOwlSomeValuesFromProperty()`
`OWLNamedClass` | `getOwlSymmetricPropertyClass()`
`OWLNamedClass` | `getOwlThingClass()`
`OWLNamedClass` | `getOwlTransitivePropertyClass()`
`RDFSNamedClass` | `getOwlUnionClassClass()`
`RDFProperty` | `getOwlUnionOfProperty()`
`RDFProperty` | `getOwlValuesFromProperty()`
`RDFProperty` | `getOwlVersionInfoProperty()`
`OWLNamedClass` | `getPalConstraintCls()`
`OWLDatatypeProperty` | `getPalDescriptionSlot()`
`OWLDatatypeProperty` | `getPalNameSlot()`
`OWLDatatypeProperty` | `getPalRangeSlot()`
`OWLDatatypeProperty` | `getPalStatementSlot()`
`RDFProperty` | `getProtegeClassificationStatusProperty()`
`RDFProperty` | `getProtegeInferredSubclassesProperty()`
`RDFProperty` | `getProtegeInferredSuperclassesProperty()`
`RDFProperty` | `getProtegeInferredTypeProperty()`
`RDFSNamedClass` | `getRdfAltClass()`
`RDFSNamedClass` | `getRdfBagClass()`
`Set<RDFSDatatype>` | `getRdfDatatypes()`
`RDFSNamedClass` | `getRdfExternalClassClass()`
`RDFSNamedClass` | `getRdfExternalPropertyClass()`
`RDFSNamedClass` | `getRdfExternalResourceClass()`
`RDFProperty` | `getRdfFirstProperty()`
`RDFSNamedClass` | `getRdfListClass()`
`RDFList` | `getRdfNil()`
`RDFProperty` | `getRdfObjectProperty()`
`RDFProperty` | `getRdfPredicateProperty()`
`OWLNamedClass` | `getRdfPropertyClass()`
`RDFProperty` | `getRdfRestProperty()`
`OWLDatatypeProperty` | `getRdfsCommentProperty()`
`RDFSNamedClass` | `getRdfsContainerClass()`
`RDFSNamedClass` | `getRdfsDatatypeClass()`
`RDFProperty` | `getRdfsDomainProperty()`
`RDFSNamedClass` | `getRdfSeqClass()`
`RDFProperty` | `getRdfsIsDefinedByProperty()`
`RDFProperty` | `getRdfsLabelProperty()`
`RDFSNamedClass` | `getRdfsLiteralClass()` Deprecated. This is based on a wrong premise. This is not a class. Using this can cause serious problems.
`RDFProperty` | `getRdfsMemberProperty()`
`OWLNamedClass` | `getRdfsNamedClassClass()`
`RDFProperty` | `getRdfsRangeProperty()`
`RDFProperty` | `getRdfsSeeAlsoProperty()`
`RDFProperty` | `getRdfsSubClassOfProperty()`
`RDFProperty` | `getRdfsSubPropertyOf()`
`RDFSNamedClass` | `getRdfStatementClass()`
`RDFProperty` | `getRdfSubjectProperty()`
`RDFProperty` | `getRdfTypeProperty()`
`RDFProperty` | `getRdfValueProperty()`
`OWLNamedClass` | `getRootCls()`
`OWLObjectProperty` | `getSlotConstraintsSlot()`
`OWLObjectProperty` | `getToSlot()`
`RDFSDatatype` | `getXmlLiteralType()`
`RDFSDatatype` | `getXsdAnyURI()`
`RDFSDatatype` | `getXsdBase64Binary()`
`RDFSDatatype` | `getXsdBoolean()`
`RDFSDatatype` | `getXsdByte()`
`RDFSDatatype` | `getXsdDate()`
`RDFSDatatype` | `getXsdDateTime()`
`RDFSDatatype` | `getXsdDecimal()`
`RDFSDatatype` | `getXsdDouble()`
`RDFSDatatype` | `getXsdDuration()`
`RDFSDatatype` | `getXsdFloat()`
`RDFSDatatype` | `getXsdInt()`
`RDFSDatatype` | `getXsdInteger()`
`RDFSDatatype` | `getXsdLong()`
`RDFSDatatype` | `getXsdNonNegativeInteger()`
`RDFSDatatype` | `getXsdShort()`
`RDFSDatatype` | `getXsdString()`
`RDFSDatatype` | `getXsdTime()`

Methods inherited from class edu.stanford.smi.protege.model.SystemFrames
`addFrame, assertTypeAndName, getAnnotatedInstanceSlot, getAnnotationCls, getAnnotationTextSlot, getAssociatedFacetSlot, getAssociatedSlotSlot, getConstraintCls, getConstraintsFacet, getCreationTimestampSlot, getCreatorSlot, getDefaultValuesFacet, getDefaultValuesSlot, getDirectDomainSlot, getDirectInstancesSlot, getDirectSubclassesSlot, getDirectSubslotsSlot, getDirectSuperclassesSlot, getDirectTemplateSlotsSlot, getDirectTypesSlot, getDocumentationFacet, getDocumentationSlot, getFrame, getFrameIDs, getFrameNames, getFrames, getInstanceAnnotationCls, getInverseFacet, getMaximumCardinalityFacet, getMaximumCardinalitySlot, getMaximumValueFacet, getMaximumValueSlot, getMinimumCardinalityFacet, getMinimumCardinalitySlot, getMinimumValueFacet, getMinimumValueSlot, getModificationTimestampSlot, getModifierSlot, getNameSlot, getRelationCls, getRoleSlot, getRootClsMetaCls, getRootFacetMetaCls, getRootMetaCls, getRootSlotMetaCls, getStandardClsMetaCls, getStandardFacetMetaCls, getStandardSlotMetaCls, getSystemCls, getValuesFacet, getValuesSlot, getValueTypeFacet, getValueTypeSlot, isSystem, removeFrame, replaceFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owlModel

    protected OWLModel owlModel

Constructor Detail

### OWLSystemFrames

    public OWLSystemFrames(OWLModel owlModel)

Method Detail

### createOWLNamedClass

    protected OWLNamedClass createOWLNamedClass(String name)

### createRDFSNamedClass

    protected RDFSNamedClass createRDFSNamedClass(String name)

### createRDFProperty

    protected RDFProperty createRDFProperty(String name)

### createOWLDatatypeProperty

    protected OWLDatatypeProperty createOWLDatatypeProperty(String name)

### createOWLObjectProperty

    protected OWLObjectProperty createOWLObjectProperty(String name)

### createRDFSDatatype

    protected RDFSDatatype createRDFSDatatype(String name)

### getRootCls

    public OWLNamedClass getRootCls()

  Overrides:
    `getRootCls` in class `edu.stanford.smi.protege.model.SystemFrames`

### getDirectSuperslotsSlot

    public RDFProperty getDirectSuperslotsSlot()

  Overrides:
    `getDirectSuperslotsSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getInverseSlotSlot

    public RDFProperty getInverseSlotSlot()

  Overrides:
    `getInverseSlotSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getDirectedBinaryRelationCls

    public OWLNamedClass getDirectedBinaryRelationCls()

  Overrides:
    `getDirectedBinaryRelationCls` in class `edu.stanford.smi.protege.model.SystemFrames`

### getPalConstraintCls

    public OWLNamedClass getPalConstraintCls()

  Overrides:
    `getPalConstraintCls` in class `edu.stanford.smi.protege.model.SystemFrames`

### getFromSlot

    public OWLObjectProperty getFromSlot()

  Overrides:
    `getFromSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getToSlot

    public OWLObjectProperty getToSlot()

  Overrides:
    `getToSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getConstraintsSlot

    public OWLObjectProperty getConstraintsSlot()

  Overrides:
    `getConstraintsSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getSlotConstraintsSlot

    public OWLObjectProperty getSlotConstraintsSlot()

  Overrides:
    `getSlotConstraintsSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getPalStatementSlot

    public OWLDatatypeProperty getPalStatementSlot()

  Overrides:
    `getPalStatementSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getPalDescriptionSlot

    public OWLDatatypeProperty getPalDescriptionSlot()

  Overrides:
    `getPalDescriptionSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getPalNameSlot

    public OWLDatatypeProperty getPalNameSlot()

  Overrides:
    `getPalNameSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### getPalRangeSlot

    public OWLDatatypeProperty getPalRangeSlot()

  Overrides:
    `getPalRangeSlot` in class `edu.stanford.smi.protege.model.SystemFrames`

### addSystemFrames

    public void addSystemFrames(edu.stanford.smi.protege.model.framestore.FrameStore fs)

  Overrides:
    `addSystemFrames` in class `edu.stanford.smi.protege.model.SystemFrames`

### getXsdBoolean

    public RDFSDatatype getXsdBoolean()

### getXsdDouble

    public RDFSDatatype getXsdDouble()

### getXsdFloat

    public RDFSDatatype getXsdFloat()

### getXsdLong

    public RDFSDatatype getXsdLong()

### getXsdInt

    public RDFSDatatype getXsdInt()

### getXsdShort

    public RDFSDatatype getXsdShort()

### getXsdByte

    public RDFSDatatype getXsdByte()

### getXsdString

    public RDFSDatatype getXsdString()

### getXsdBase64Binary

    public RDFSDatatype getXsdBase64Binary()

### getXsdDate

    public RDFSDatatype getXsdDate()

### getXsdTime

    public RDFSDatatype getXsdTime()

### getXsdDateTime

    public RDFSDatatype getXsdDateTime()

### getXsdDuration

    public RDFSDatatype getXsdDuration()

### getXsdAnyURI

    public RDFSDatatype getXsdAnyURI()

### getXsdDecimal

    public RDFSDatatype getXsdDecimal()

### getXsdInteger

    public RDFSDatatype getXsdInteger()

### getXsdNonNegativeInteger

    public RDFSDatatype getXsdNonNegativeInteger()

### getXmlLiteralType

    public RDFSDatatype getXmlLiteralType()

### getOwlThingClass

    public OWLNamedClass getOwlThingClass()

  Returns:
    the owlThingClass

### getOwlClassMetaCls

    public RDFSNamedClass getOwlClassMetaCls()

  Returns:
    the owlClassMetaCls

### getRdfsNamedClassClass

    public OWLNamedClass getRdfsNamedClassClass()

  Returns:
    the rdfsNamedClassClass

### getOwlNamedClassClass

    public OWLNamedClass getOwlNamedClassClass()

  Returns:
    the owlNamedClassClass

### getOwlDeprecatedClassClass

    public RDFSNamedClass getOwlDeprecatedClassClass()

  Returns:
    the owlDeprecatedClassClass

### getAnonymousClassMetaCls

    public OWLNamedClass getAnonymousClassMetaCls()

  Returns:
    the anonymousClassMetaCls

### getOwlEnumeratedClassClass

    public RDFSNamedClass getOwlEnumeratedClassClass()

  Returns:
    the owlEnumeratedClassClass

### getOwlRestrictionClass

    public RDFSNamedClass getOwlRestrictionClass()

  Returns:
    the owlRestrictionClass

### getOwlAllValuesFromClass

    public RDFSNamedClass getOwlAllValuesFromClass()

  Returns:
    the owlAllValuesFromClass

### getOwlHasValueClass

    public RDFSNamedClass getOwlHasValueClass()

  Returns:
    the owlHasValueClass

### getOwlMaxCardinalityClass

    public RDFSNamedClass getOwlMaxCardinalityClass()

  Returns:
    the owlMaxCardinalityClass

### getOwlMinCardinalityClass

    public RDFSNamedClass getOwlMinCardinalityClass()

  Returns:
    the owlMinCardinalityClass

### getOwlCardinalityClass

    public RDFSNamedClass getOwlCardinalityClass()

  Returns:
    the owlCardinalityClass

### getOwlSomeValuesFromClass

    public RDFSNamedClass getOwlSomeValuesFromClass()

  Returns:
    the owlSomeValuesFromClass

### getOwlLogicalClassClass

    public RDFSNamedClass getOwlLogicalClassClass()

  Returns:
    the owlLogicalClassClass

### getOwlComplementClassClass

    public RDFSNamedClass getOwlComplementClassClass()

  Returns:
    the owlComplementClassClass

### getOwlIntersectionClassClass

    public RDFSNamedClass getOwlIntersectionClassClass()

  Returns:
    the owlIntersectionClassClass

### getOwlUnionClassClass

    public RDFSNamedClass getOwlUnionClassClass()

  Returns:
    the owlUnionClassClass

### getRdfPropertyClass

    public OWLNamedClass getRdfPropertyClass()

  Returns:
    the rdfPropertyClass

### getOwlDatatypePropertyClass

    public OWLNamedClass getOwlDatatypePropertyClass()

  Returns:
    the owlDatatypePropertyClass

### getOwlObjectPropertyClass

    public OWLNamedClass getOwlObjectPropertyClass()

  Returns:
    the owlObjectPropertyClass

### getOwlInverseFunctionalPropertyClass

    public OWLNamedClass getOwlInverseFunctionalPropertyClass()

  Returns:
    the owlInverseFunctionalPropertyClass

### getOwlSymmetricPropertyClass

    public OWLNamedClass getOwlSymmetricPropertyClass()

  Returns:
    the owlSymmetricPropertyClass

### getOwlTransitivePropertyClass

    public OWLNamedClass getOwlTransitivePropertyClass()

  Returns:
    the owlTransitivePropertyClass

### getOwlAnnotationPropertyClass

    public OWLNamedClass getOwlAnnotationPropertyClass()

  Returns:
    the owlAnnotationPropertyClass

### getOwlFunctionalPropertyClass

    public OWLNamedClass getOwlFunctionalPropertyClass()

  Returns:
    the owlFunctionalPropertyClass

### getOwlDeprecatedPropertyClass

    public RDFSNamedClass getOwlDeprecatedPropertyClass()

  Returns:
    the owlDeprecatedPropertyClass

### getRdfsDatatypeClass

    public RDFSNamedClass getRdfsDatatypeClass()

  Returns:
    the rdfsDatatypeClass

### getOwlOntologyClass

    public OWLNamedClass getOwlOntologyClass()

  Returns:
    the owlOntologyClass

### getOwlNothingClass

    public OWLNamedClass getOwlNothingClass()

  Returns:
    the owlNothingClass

### getRdfListClass

    public RDFSNamedClass getRdfListClass()

  Returns:
    the rdfListClass

### getOwlAllDifferentClass

    public RDFSNamedClass getOwlAllDifferentClass()

  Returns:
    the owlAllDifferentClass

### getRdfsLiteralClass

    public RDFSNamedClass getRdfsLiteralClass()

  Deprecated. This is based on a wrong premise. This is not a class. Using this can cause serious problems.

  Returns:
    the rdfsLiteralClass

### getRdfsContainerClass

    public RDFSNamedClass getRdfsContainerClass()

  Returns:
    the rdfsContainerClass

### getRdfAltClass

    public RDFSNamedClass getRdfAltClass()

  Returns:
    the rdfAltClass

### getRdfBagClass

    public RDFSNamedClass getRdfBagClass()

  Returns:
    the rdfBagClass

### getRdfSeqClass

    public RDFSNamedClass getRdfSeqClass()

  Returns:
    the rdfSeqClass

### getRdfStatementClass

    public RDFSNamedClass getRdfStatementClass()

  Returns:
    the rdfStatementClass

### getOwlDataRangeClass

    public RDFSNamedClass getOwlDataRangeClass()

  Returns:
    the owlDataRangeClass

### getAnonymousRootCls

    public RDFSNamedClass getAnonymousRootCls()

  Returns:
    the anonymousRootCls

### getRdfExternalResourceClass

    public RDFSNamedClass getRdfExternalResourceClass()

  Returns:
    the rdfExternalResourceClass

### getRdfExternalClassClass

    public RDFSNamedClass getRdfExternalClassClass()

  Returns:
    the rdfExternalClassClass

### getRdfExternalPropertyClass

    public RDFSNamedClass getRdfExternalPropertyClass()

  Returns:
    the rdfExternalPropertyClass

### getOwlOntologyPointerClass

    public RDFSNamedClass getOwlOntologyPointerClass()

  Returns:
    the topOWLOntologyClass

### getOwlAllValuesFromProperty

    public RDFProperty getOwlAllValuesFromProperty()

  Returns:
    the owlAllValuesFromProperty

### getOwlBackwardCompatibleWithProperty

    public RDFProperty getOwlBackwardCompatibleWithProperty()

  Returns:
    the owlBackwardCompatibleWithProperty

### getOwlCardinalityProperty

    public RDFProperty getOwlCardinalityProperty()

  Returns:
    the owlCardinalityProperty

### getOwlComplementOfProperty

    public RDFProperty getOwlComplementOfProperty()

  Returns:
    the owlComplementOfProperty

### getOwlDifferentFromProperty

    public RDFProperty getOwlDifferentFromProperty()

  Returns:
    the owlDifferentFromProperty

### getOwlDisjointWithProperty

    public RDFProperty getOwlDisjointWithProperty()

  Returns:
    the owlDisjointWithProperty

### getOwlDistinctMembersProperty

    public RDFProperty getOwlDistinctMembersProperty()

  Returns:
    the owlDistinctMembersProperty

### getOwlEquivalentClassProperty

    public RDFProperty getOwlEquivalentClassProperty()

  Returns:
    the owlEquivalentClassProperty

### getOwlEquivalentPropertyProperty

    public RDFProperty getOwlEquivalentPropertyProperty()

  Returns:
    the owlEquivalentPropertyProperty

### getOwlHasValueProperty

    public RDFProperty getOwlHasValueProperty()

  Returns:
    the owlHasValueProperty

### getOwlImportsProperty

    public RDFProperty getOwlImportsProperty()

  Returns:
    the owlImportsProperty

### getOwlIncompatibleWithProperty

    public RDFProperty getOwlIncompatibleWithProperty()

  Returns:
    the owlIncompatibleWithProperty

### getOwlIntersectionOfProperty

    public RDFProperty getOwlIntersectionOfProperty()

  Returns:
    the owlIntersectionOfProperty

### getOwlInverseOfProperty

    public RDFProperty getOwlInverseOfProperty()

  Returns:
    the owlInverseOfProperty

### getOwlMaxCardinalityProperty

    public RDFProperty getOwlMaxCardinalityProperty()

  Returns:
    the owlMaxCardinalityProperty

### getOwlMinCardinalityProperty

    public RDFProperty getOwlMinCardinalityProperty()

  Returns:
    the owlMinCardinalityProperty

### getOwlOneOfProperty

    public RDFProperty getOwlOneOfProperty()

  Returns:
    the owlOneOfProperty

### getOwlOnPropertyProperty

    public RDFProperty getOwlOnPropertyProperty()

  Returns:
    the owlOnPropertyProperty

### getOwlPriorVersionProperty

    public RDFProperty getOwlPriorVersionProperty()

  Returns:
    the owlPriorVersionProperty

### getOwlSameAsProperty

    public RDFProperty getOwlSameAsProperty()

  Returns:
    the owlSameAsProperty

### getOwlSomeValuesFromProperty

    public RDFProperty getOwlSomeValuesFromProperty()

  Returns:
    the owlSomeValuesFromProperty

### getOwlUnionOfProperty

    public RDFProperty getOwlUnionOfProperty()

  Returns:
    the owlUnionOfProperty

### getOwlValuesFromProperty

    public RDFProperty getOwlValuesFromProperty()

  Returns:
    the owlValuesFromProperty

### getOwlVersionInfoProperty

    public RDFProperty getOwlVersionInfoProperty()

  Returns:
    the owlVersionInfoProperty

### getProtegeClassificationStatusProperty

    public RDFProperty getProtegeClassificationStatusProperty()

  Returns:
    the protegeClassificationStatusProperty

### getProtegeInferredSubclassesProperty

    public RDFProperty getProtegeInferredSubclassesProperty()

  Returns:
    the protegeInferredSubclassesProperty

### getProtegeInferredSuperclassesProperty

    public RDFProperty getProtegeInferredSuperclassesProperty()

  Returns:
    the protegeInferredSuperclassesProperty

### getProtegeInferredTypeProperty

    public RDFProperty getProtegeInferredTypeProperty()

  Returns:
    the protegeInferredTypeProperty

### getRdfFirstProperty

    public RDFProperty getRdfFirstProperty()

  Returns:
    the rdfFirstProperty

### getRdfObjectProperty

    public RDFProperty getRdfObjectProperty()

  Returns:
    the rdfObjectProperty

### getRdfPredicateProperty

    public RDFProperty getRdfPredicateProperty()

  Returns:
    the rdfPredicateProperty

### getRdfRestProperty

    public RDFProperty getRdfRestProperty()

  Returns:
    the rdfRestProperty

### getRdfSubjectProperty

    public RDFProperty getRdfSubjectProperty()

  Returns:
    the rdfSubjectProperty

### getRdfTypeProperty

    public RDFProperty getRdfTypeProperty()

  Returns:
    the rdfTypeProperty

### getRdfValueProperty

    public RDFProperty getRdfValueProperty()

  Returns:
    the rdfValueProperty

### getRdfsCommentProperty

    public OWLDatatypeProperty getRdfsCommentProperty()

  Returns:
    the rdfsCommentProperty

### getRdfsDomainProperty

    public RDFProperty getRdfsDomainProperty()

  Returns:
    the rdfsDomainProperty

### getRdfsIsDefinedByProperty

    public RDFProperty getRdfsIsDefinedByProperty()

  Returns:
    the rdfsIsDefinedByProperty

### getRdfsLabelProperty

    public RDFProperty getRdfsLabelProperty()

  Returns:
    the rdfsLabelProperty

### getRdfsMemberProperty

    public RDFProperty getRdfsMemberProperty()

  Returns:
    the rdfsMemberProperty

### getRdfsRangeProperty

    public RDFProperty getRdfsRangeProperty()

  Returns:
    the rdfsRangeProperty

### getRdfsSeeAlsoProperty

    public RDFProperty getRdfsSeeAlsoProperty()

  Returns:
    the rdfsSeeAlsoProperty

### getRdfsSubClassOfProperty

    public RDFProperty getRdfsSubClassOfProperty()

  Returns:
    the rdfsSubClassOfProperty

### getRdfsSubPropertyOf

    public RDFProperty getRdfsSubPropertyOf()

  Returns:
    the rdfsSubPropertyOf

### getOwlOntologyPrefixesProperty

    public RDFProperty getOwlOntologyPrefixesProperty()

  Returns:
    the owlOntologyPrefixesProperty

### getOwlResourceURIProperty

    public RDFProperty getOwlResourceURIProperty()

  Returns:
    the owlResourceURIProperty

### getOwlOntologyPointerProperty

    public RDFProperty getOwlOntologyPointerProperty()

  Returns:
    the topOWLOntologyURISlot

### getRdfNil

    public RDFList getRdfNil()

  Returns:
    the rdfNil

### getRdfDatatypes

    public Set<RDFSDatatype> getRdfDatatypes()

  Returns:
    the rdfDatatypes

### getFloatDatatypes

    public Set<RDFSDatatype> getFloatDatatypes()

  Returns:
    the floatDatatypes

### getIntegerDatatypes

    public Set<RDFSDatatype> getIntegerDatatypes()

  Returns:
    the integerDatatypes

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.